CREATE TABLE USER (
  U_ID	number(10) not null;
  FNAME	varchar2(100) not null;
  LNAME	varchar2(100) not null
)
;
 
ALTER TABLE USER ADD 
  CONSTRAINT PK_USER PRIMARY KEY 
    (
      U_ID
    )
;

CREATE SEQUENCE SEQ_USER_ID
  MINVALUE 1
  MAXVALUE 999999999999999999
  START WITH 1
  INCREMENT BY 1
  NOCACHE
;

CREATE OR REPLACE TRIGGER TRG_USER_INSERT
  BEFORE INSERT ON USER
  FOR EACH ROW
BEGIN
  IF :new.U_ID IS NULL THEN
    SELECT SEQ_USER_ID.nextval INTO :new.U_ID FROM DUAL;
  END IF;
END;
/
COMMIT;